@echo off 
cd %~dp0
set dossier=%~dp0
if [%1]==[] goto :eof
if "%~x1" == ".cue" goto loopcue

:boucle7z
REM repertoire actuel en variable dossier
pushd %dossier%

REM remise a zero du compteur de BIN dans la variable compteur
set /a compteur=0

REM lister le contenu du Zip dans un fichier contenu.txt
ressources\7za.exe l %1>ressources\contenu.txt

REM fichier contenu.txt en variable contenu7z
set contenu7z=ressources\contenu.txt

REM pour chaque fichier bin trouvé, augmenter la variable compteur de +1
for /f %%a in ('type "%contenu7z%"^|find ".bin" /c /i') do set /a compteur=%%a
echo ********************************************************************************************
echo Il y a %compteur% fichiers .bin dans l'archive %~n1
echo ETAPE 1- Extraction en cours 
title ETAPE 1 - Extraction des fichiers
echo ********************************************************************************************


REM si nbr de BIN est différent de 1, commencer extraction puis combinaison bin sinon commencer conversion pbp direct
if %compteur% GTR 1 (goto combinaison)

GOTO nocombinaison 

:combinaison
ressources\7za.exe e -y %1 -o.\TEMP

REM si dossier 1BIN1CUE n'existe pas, le creer
IF NOT EXIST "%dossier%1BIN1CUE" MD "%dossier%1BIN1CUE"

REM Conversion du fichier .cue dans le dossier temp cree avec ses .bin vers 1 seul bin
IF NOT EXIST "%dossier%TEMP" MD "%dossier%TEMP"
for /r "%dossier%TEMP" %%i in (*.cue) do set fichiercue=%%~ni
echo.
echo.
cls
echo ************************************************************************************************************
echo ETAPE 2 - Conversion du fichier %fichiercue% avec %compteur% bin en 1 seul bin
title ETAPE 2 - Conversion en 1 seul bin et 1 cue
echo ************************************************************************************************************
echo.
echo.
ressources\binmerge.exe -o "%dossier%1BIN1CUE" "%dossier%TEMP\%fichiercue%.cue" "%fichiercue%"

REM suppression du dossier TEMP
rmdir /Q /S "%dossier%TEMP">nul
goto pbpconversion

:nocombinaison
IF NOT EXIST "%dossier%1BIN1CUE" MD "%dossier%1BIN1CUE"
ressources\7za.exe e -y %1 -o.\1BIN1CUE
for /r "%dossier%1BIN1CUE" %%i in (*.cue) do set fichiercue=%%~ni
goto pbpconversion


:pbpconversion
cls
echo ************************************************************************************************************
echo ETAPE 3 - Conversion du fichier bin/cue en pbp
title ETAPE 3 - Conversion en pbp
echo ************************************************************************************************************
echo.
echo.
IF NOT EXIST "%dossier%PBPTEMP" MD "%dossier%PBPTEMP"
ressources\bintopbp %dossier%1BIN1CUE %dossier%PBPTEMP
xcopy "PBPTEMP\*.pbp" "PBP" /s /i
rmdir /Q /S "%dossier%PBPTEMP">nul
rmdir /Q /S "%dossier%1BIN1CUE">nul

:skipped

shift
if not [%1]==[] goto boucle7z


:EOF
cls
echo *******************
echo CONVERSION TERMINEE
echo *******************
pause 
exit


:loopcue
cls
echo *******************************************************
echo La conversion au format cue direct pas encore implantee
echo seul le format 7z est pris en charge pour le moment 
echo le programme va se fermer
echo *******************************************************
pause > nul
exit

